Package ru.bgcrm.plugin.bgbilling.action

# Class ContractAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
ru.bgcrm.plugin.bgbilling.struts.action.BaseAction
ru.bgcrm.plugin.bgbilling.action.ContractAction

Direct Known Subclasses:
  `CashCheckAction`

public class ContractAction extends BaseAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `additionalActionList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `bgbillingOpenContract(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `bgbillingUpdateContractTitleAndComment(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `contractCards(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `contractObjectList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `contractObjectModuleInfo(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `contractObjectModuleSummaryTable(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `contractObjectParameterList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `contractSubcontractList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `dateToUpdate(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `deleteContractObject(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `deleteLimitTask(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `deleteMemo(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `deleteScript(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `executeAdditionalAction(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `faceLog(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `getContractCard(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `getContractObject(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `getMemo(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `getObjectParameter(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `getParamList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `getScript(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `groupList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `limit(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `memoList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `modeLog(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `moduleList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `parameterGet(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `parameterGroupUpdate(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `parameterList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `parameterUpdate(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `scriptList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `scriptLog(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `searchContract(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `status(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `updateContractObject(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `updateFace(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `updateGroups(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `updateLimit(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `updateMemo(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `updateMode(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `updateModules(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `updateObjectParameter(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `updateScript(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `updateStatus(DynActionForm form, ConnectionSet conSet)`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractAction

    public ContractAction()

- ## Method Details

  - ### searchContract

    public org.apache.struts.action.ActionForward searchContract(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### getParamList

    public org.apache.struts.action.ActionForward getParamList(DynActionForm form, ConnectionSet conSet) throws BGMessageException
    Throws:
      `BGMessageException`

  - ### bgbillingUpdateContractTitleAndComment

    public org.apache.struts.action.ActionForward bgbillingUpdateContractTitleAndComment(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### dateToUpdate

    public org.apache.struts.action.ActionForward dateToUpdate(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### bgbillingOpenContract

    public org.apache.struts.action.ActionForward bgbillingOpenContract(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### parameterList

    public org.apache.struts.action.ActionForward parameterList(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### parameterGet

    public org.apache.struts.action.ActionForward parameterGet(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### parameterUpdate

    public org.apache.struts.action.ActionForward parameterUpdate(DynActionForm form, ConnectionSet conSet) throws BGMessageException
    Throws:
      `BGMessageException`

  - ### parameterGroupUpdate

    public org.apache.struts.action.ActionForward parameterGroupUpdate(DynActionForm form, ConnectionSet conSet)

  - ### additionalActionList

    public org.apache.struts.action.ActionForward additionalActionList(DynActionForm form, ConnectionSet conSet)

  - ### executeAdditionalAction

    public org.apache.struts.action.ActionForward executeAdditionalAction(DynActionForm form, ConnectionSet conSet)

  - ### groupList

    public org.apache.struts.action.ActionForward groupList(DynActionForm form, ConnectionSet conSet)

  - ### updateGroups

    public org.apache.struts.action.ActionForward updateGroups(DynActionForm form, ConnectionSet conSet)

  - ### memoList

    public org.apache.struts.action.ActionForward memoList(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### getMemo

    public org.apache.struts.action.ActionForward getMemo(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### updateMemo

    public org.apache.struts.action.ActionForward updateMemo(DynActionForm form, ConnectionSet conSet)

  - ### deleteMemo

    public org.apache.struts.action.ActionForward deleteMemo(DynActionForm form, ConnectionSet conSet) throws BGMessageException
    Throws:
      `BGMessageException`

  - ### contractObjectList

    public org.apache.struts.action.ActionForward contractObjectList(DynActionForm form, ConnectionSet conSet)

  - ### getContractObject

    public org.apache.struts.action.ActionForward getContractObject(DynActionForm form, ConnectionSet conSet)

  - ### deleteContractObject

    public org.apache.struts.action.ActionForward deleteContractObject(DynActionForm form, ConnectionSet conSet)

  - ### updateContractObject

    public org.apache.struts.action.ActionForward updateContractObject(DynActionForm form, ConnectionSet conSet)

  - ### contractObjectParameterList

    public org.apache.struts.action.ActionForward contractObjectParameterList(DynActionForm form, ConnectionSet conSet)

  - ### getObjectParameter

    public org.apache.struts.action.ActionForward getObjectParameter(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### updateObjectParameter

    public org.apache.struts.action.ActionForward updateObjectParameter(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### contractObjectModuleInfo

    public org.apache.struts.action.ActionForward contractObjectModuleInfo(DynActionForm form, ConnectionSet conSet)

  - ### contractObjectModuleSummaryTable

    public org.apache.struts.action.ActionForward contractObjectModuleSummaryTable(DynActionForm form, ConnectionSet conSet)

  - ### contractSubcontractList

    public org.apache.struts.action.ActionForward contractSubcontractList(DynActionForm form, ConnectionSet conSet)

  - ### scriptList

    public org.apache.struts.action.ActionForward scriptList(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### getScript

    public org.apache.struts.action.ActionForward getScript(DynActionForm form, ConnectionSet conSet)

  - ### scriptLog

    public org.apache.struts.action.ActionForward scriptLog(DynActionForm form, ConnectionSet conSet)

  - ### deleteScript

    public org.apache.struts.action.ActionForward deleteScript(DynActionForm form, ConnectionSet conSet)

  - ### updateScript

    public org.apache.struts.action.ActionForward updateScript(DynActionForm form, ConnectionSet conSet)

  - ### faceLog

    public org.apache.struts.action.ActionForward faceLog(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### updateFace

    public org.apache.struts.action.ActionForward updateFace(DynActionForm form, ConnectionSet conSet)

  - ### modeLog

    public org.apache.struts.action.ActionForward modeLog(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### updateMode

    public org.apache.struts.action.ActionForward updateMode(DynActionForm form, ConnectionSet conSet)

  - ### moduleList

    public org.apache.struts.action.ActionForward moduleList(DynActionForm form, ConnectionSet conSet)

  - ### updateModules

    public org.apache.struts.action.ActionForward updateModules(DynActionForm form, ConnectionSet conSet) throws BGMessageException
    Throws:
      `BGMessageException`

  - ### status

    public org.apache.struts.action.ActionForward status(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### updateStatus

    public org.apache.struts.action.ActionForward updateStatus(DynActionForm form, ConnectionSet conSet)

  - ### limit

    public org.apache.struts.action.ActionForward limit(DynActionForm form, ConnectionSet conSet)

  - ### updateLimit

    public org.apache.struts.action.ActionForward updateLimit(DynActionForm form, ConnectionSet conSet)

  - ### deleteLimitTask

    public org.apache.struts.action.ActionForward deleteLimitTask(DynActionForm form, ConnectionSet conSet)

  - ### contractCards

    public org.apache.struts.action.ActionForward contractCards(DynActionForm form, ConnectionSet conSet)

  - ### getContractCard

    public org.apache.struts.action.ActionForward getContractCard(DynActionForm form, ConnectionSet conSet)